#
# spec file for package pdnsd
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           pdnsd
Version:        1.2.9a
Release:        bp153.1.15
Summary:        A caching dns proxy for small networks or dialin accounts
License:        GPL-3.0+
Group:          Productivity/Networking/DNS/Servers
Url:            http://members.home.nl/p.a.rombouts/pdnsd.html

Source0:        http://members.home.nl/p.a.rombouts/pdnsd/releases/pdnsd-%{version}-par.tar.gz
Source1:        pdnsd
Recommends:     %{name}-doc
PreReq:         %insserv_prereq
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pdnsd is a proxy DNS daemon with permanent (disk-)cache and the ability
to serve local records. It is designed to detect network outages or hangups
and to prevent DNS-dependent applications like Netscape Navigator from hanging.

The original author of pdnsd is Thomas Moestl, but pdnsd is no longer maintained
by him. This is an extensively revised version by Paul A. Rombouts.
For a description of the changes see http://www.phys.uu.nl/~rombouts/pdnsd.html
and the file README.par in %{_docdir}/%{name}-doc.

%package doc
Summary:        Docs for %{name}
Group:          Productivity/Networking/DNS/Servers
%if 0%{?suse_version} >= 1140
BuildArch:      noarch
%endif
Requires:       %{name}

%description doc
This package provides various text files for %{name}.

%prep
%setup -q

%build
%configure --with-cachedir="%{_localstatedir}/cache/%{name}" \
	--enable-specbuild \
	--with-query-method=udptcp \
	--enable-ipv6 \
	--with-par-queries=3

make %{?_smp_mflags}

%install
make DESTDIR="%{buildroot}" install
mkdir -p %{buildroot}%{_sysconfdir}/init.d
mkdir -p %{buildroot}%{_sbindir}/
install -c -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/init.d/
cp %{buildroot}%{_sysconfdir}/%{name}.conf.sample %{buildroot}%{_sysconfdir}/%{name}.conf
ln -s /etc/init.d/%{name} %{buildroot}%{_sbindir}/rc%{name}

%pre
/usr/sbin/groupadd -r pdns 2> /dev/null || :

%preun
%stop_on_removal pdnsd

%postun
%insserv_cleanup
%restart_on_update pdnsd

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/pdnsd.conf
%attr(755,root,root) %{_sysconfdir}/init.d/pdnsd
%{_sysconfdir}/pdnsd.conf.sample
%{_sbindir}/*%{name}*
%{_mandir}/man*/%{name}*
%config(noreplace) %attr(-,pdns,pdns) %ghost  %{_localstatedir}/cache/%{name}/%{name}.cache
%dir %{_localstatedir}/cache/%{name}

%files doc
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING* NEWS README* THANKS TODO

%changelog
* Wed Mar 15 2017 dimstar@opensuse.org
- Add %%insserv_prereq PreReq: since we still install legacy initd
  services it is our own duty to ensure the legacy tools to handle
  them are installed.
* Wed Jul 23 2014 meissner@suse.com
- make init script executable, fix build
* Sun May 19 2013 dap.darkness@gmail.com
- Changes file was fixed up in according to sr's #175639 & #175789.
- Switched from user nobody to pdns to correspond Factory rules.
* Tue May 14 2013 dap.darkness@gmail.com
- Branched from home:Reki.
- Updated from 1.2.9 to 1.2.9a.
- Spec-file was completely fixed up.
